Flujos
GET https://pushye.com/api/flows/
curl --request GET \
--url 'https://pushye.com/api/flows/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/flows/' \
--header 'Authorization: Bearer {api_key}' \
| Parámetros | Detalles | Descripción |
|---|---|---|
| search | Opcional Cadena | La cadena de búsqueda. |
| search_by | Opcional Cadena | ¿Qué campo estás buscando? Los valores permitidos son: name, title, description, url. |
| website_id | Opcional Entero | |
| datetime_field | Opcional Cadena | Valores permitidos: last_sent_datetime, datetime, last_datetime |
| datetime_start | Opcional Cadena | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Opcional Cadena | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Opcional Cadena | Qué campo ordenar los resultados por. Los valores permitidos son: flow_id, datetime, last_datetime, last_sent_datetime, name, title, total_push_notifications, total_sent_push_notifications, total_displayed_push_notifications, total_clicked_push_notifications, total_closed_push_notifications. |
| order_type | Opcional Cadena | El orden de los resultados. Los valores permitidos son: ASC para orden ascendente, y DESC para orden descendente. |
| page | Opcional Entero | El número de página del que deseas obtener resultados. Por defecto es 1. |
| results_per_page | Opcional Entero | Cuántos resultados deseas por página. Los valores permitidos son: 10, 25, 50, 100, 250, 500, 1000. Por defecto es 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"website_id": 1,
"name": "Example",
"title": "Sample message",
"description": "This is coming from the API.",
"url": "https://example.com",
"image_url": null,
"settings": {
"ttl": 2419200,
"urgency": "normal",
"is_silent": 0,
"is_auto_hide": 0,
"button_title_1": "",
"button_url_1": "",
"button_title_2": "",
"button_url_2": ""
},
"wait_time": 3,
"wait_time_type": "days",
"is_enabled": true,
"total_sent_push_notifications": 0,
"total_displayed_push_notifications": 0,
"total_clicked_push_notifications": 0,
"total_closed_push_notifications": 0,
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-06-13 00:04:35",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://pushye.com/api/flows?page=1",
"last": "https://pushye.com/api/flows?page=1",
"next": null,
"prev": null,
"self": "https://pushye.com/api/flows?page=1"
}
}
GET https://pushye.com/api/flows/{flow_id}
curl --request GET \
--url 'https://pushye.com/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"website_id": 1,
"name": "Example",
"title": "Sample message",
"description": "This is coming from the API.",
"url": "https://example.com",
"image_url": null,
"settings": {
"ttl": 2419200,
"urgency": "normal",
"is_silent": 0,
"is_auto_hide": 0,
"button_title_1": "",
"button_url_1": "",
"button_title_2": "",
"button_url_2": ""
},
"wait_time": 3,
"wait_time_type": "days",
"is_enabled": true,
"total_sent_push_notifications": 0,
"total_displayed_push_notifications": 0,
"total_clicked_push_notifications": 0,
"total_closed_push_notifications": 0,
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-06-13 00:04:35",
}
}
POST https://pushye.com/api/flows
| Parámetros | Detalles | Descripción |
|---|---|---|
| website_id | Requerido Entero | - |
| name | Requerido Cadena | - |
| title | Requerido Cadena | - |
| description | Requerido Cadena | - |
| url | Opcional Cadena | - |
| image | Opcional Archivo | - |
| wait_time | Requerido Entero | - |
| wait_time_type | Requerido Cadena | Valores permitidos: minutes, hours, days |
| button_title_1 | Opcional Cadena | - |
| button_url_1 | Opcional Cadena | - |
| button_title_2 | Opcional Cadena | - |
| button_url_2 | Opcional Cadena | - |
| is_silent | Opcional Boolean | - |
| is_auto_hide | Opcional Boolean | - |
| ttl | Opcional Cadena | Valores permitidos: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200 |
| utm_source | Opcional Cadena | - |
| utm_medium | Opcional Cadena | - |
| utm_campaign | Opcional Cadena | - |
| segment | Opcional Cadena | Valores permitidos: all, INT segment_id |
| is_enabled | Opcional Boolean | - |
| auto_apply_to_matching | Opcional Boolean | - |
curl --request POST \
--url 'https://pushye.com/api/flows' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--url 'https://pushye.com/api/flows' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
{
"data": {
"id": 1
}
}
POST https://pushye.com/api/flows/{flow_id}
| Parámetros | Detalles | Descripción |
|---|---|---|
| website_id | Opcional Entero | - |
| name | Opcional Cadena | - |
| title | Opcional Cadena | - |
| description | Opcional Cadena | - |
| url | Opcional Cadena | - |
| image | Opcional Archivo | - |
| wait_time | Opcional Entero | - |
| wait_time_type | Opcional Cadena | Valores permitidos: minutes, hours, days |
| button_title_1 | Opcional Cadena | - |
| button_url_1 | Opcional Cadena | - |
| button_title_2 | Opcional Cadena | - |
| button_url_2 | Opcional Cadena | - |
| is_silent | Opcional Boolean | - |
| is_auto_hide | Opcional Boolean | - |
| ttl | Opcional Cadena | Valores permitidos: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200 |
| utm_source | Opcional Cadena | - |
| utm_medium | Opcional Cadena | - |
| utm_campaign | Opcional Cadena | - |
| segment | Opcional Cadena | Valores permitidos: all, INT segment_id |
| is_enabled | Opcional Boolean | - |
curl --request POST \
--url 'https://pushye.com/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--url 'https://pushye.com/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
{
"data": {
"id": 1
}
}
DELETE https://pushye.com/api/flows/{flow_id}
curl --request DELETE \
--url 'https://pushye.com/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \